Create a revocation message payload
Roles
Analytics Events
/v2/credentials/web-semantic/{id}/revocation-status/notificationReturns a message in JWM format that can be used to notify subjects based on their credential revocation status change.
To send a notification to the Subject DID holder, use the returned payload with the encrypt and send endpoints.
Analytic events
- CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_START
- CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_SUCCESS
- CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the credential whose status has changed.
uuidRequest Body
application/json
Create a JWM message payload
The sender's DID URL, obtained from the id field of the first keyAgreement entry of the DID document. This must be a DID with a key type suitable for messaging (not a BLS key type).
1 <= lengthThe intended recipients DID URL.
Response Body
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/873277c0-a162-11ea-8a1d-a111119347e6/revocation-status/notification" \ -H "Content-Type: application/json" \ -d '{ "from": "did:web:organization.com", "to": [ "did:key:subjectDid1", "did:key:subjectDid2", "did:key:subjectDid3" ] }'{
"id": "string",
"type": "string",
"to": [
"did:key:subjectDid1",
"did:key:subjectDid2",
"did:key:subjectDid3"
],
"from": "did:web:organization.com",
"created_time": 0,
"body": {
"revocationListCredential": "string",
"revocationListIndex": "string",
"isRevoked": true
}
}How would you rate this page?
Retrieve revocation list GET
Returns the revocation list matching the provided ID.
Retrieve all credential data GET
Returns all available data for existing credentials: - For credentials that were created with the `persist` flag set to `true`, the response contains both the credential and its metadata. - For credentials that were created with the persist flag set to `false`, the response only contains the metadata (`id`, `tag`, `credentialStatus`, `issuanceDate`). ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_LIST_START * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_LIST_SUCCESS * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_LIST_FAIL